Generate SMS OTP code
Authenticates the user with the given phone number and we send an OTP to the user's phone number.
post
Header parameters
Brand-URLstringRequiredExample:
The brand URL of the request. This is used to identify the brand.
YOUR_BRAND_URLBody
The request for the SMS OTP authentication.
phoneNumberstring · min: 1RequiredExample:
The phone number. The phone number should be following the E.164 format.
+1234567890Responses
200
The request was successful.
application/json
The API result model with data.
successbooleanRead-onlyRequired
This is the flag to indicate whether the API call is successful or not.
statusCodeinteger · int32Read-onlyRequired
This is the HTTP status code. This is used to determine the status code to be returned to the client.
messagestring · min: 1Required
This is the message to be displayed to the user.
datastring · nullableOptional
400
The phone number is not in the correct format
application/json
404
The user was not found in the system.
application/json
429
API call exceeded rate limit due to too many requests.
application/json
post
/api/v1/users/auth/passwordless/phone/generate-otpLast updated